Loading...
Searching...
No Matches
jack_position_t Struct Reference

`#include <transport.h>`

## Data Fields

Server-set fields
these cannot be set from clients; the server sets them
jack_unique_t | unique_1
jack_time_t | usecs
jack_nframes_t | frame_rate
Mandatory fields
jack_nframes_t | frame
jack_position_bits_t | valid
JackPositionBBT fields
Bar:Beat.Tick-related information. Applications that support JackPositionBBT are encouraged to also fill the JackBBTFrameOffset
int32_t | bar
int32_t | beat
int32_t | tick
double | bar_start_tick
float | beats_per_bar
float | beat_type
double | ticks_per_beat
double | beats_per_minute
JackPositionTimecode fields <br>
EXPERIMENTAL: could change
double | frame_time
double | next_time
jack_nframes_t | bbt_offset
float | audio_frames_per_video_frame
jack_nframes_t | video_offset
JACK Extra transport fields
double | tick_double
Other fields
int32_t | padding [5]
jack_unique_t | unique_2

## Detailed Description

Struct for transport position information.

The documentation for this struct was generated from the following file:

- transport.h